Retrieve all credential references
/v1/users/{userId}/credential-referencesRetrieve all credential references associated with the specified user.
A credential reference is a logical identifier for a credential, independent of any particular wallet or device. When a credential is issued to a user, it may be stored in multiple wallets or on multiple devices. Each stored instance is a separate copy, but all copies represent the same underlying credential.
The credential reference stays the same across all of these instances, allowing issuers to consistently identify and interact with the credential regardless of where the user holds it.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
The user ID represents a unique identifier for a user in the system. The user ID is generated by the system when a user is created, and is returned in the response when retrieving users.
uuidQuery Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/users/41458e5a-9092-40b7-9a26-d4eb43c5792f/credential-references"{ "data": [ { "userId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "credentialReferenceId": "a248d6c9-3f5e-4b2a-9c1e-2f3b4c5d6e7f", "credentialProfile": "mobile", "credentialType": "org.iso.18013.5.1.mDL", "claimSetId": "claim-set-1" } ], "nextCursor": "string"}How would you rate this page?
Retrieve all user credentials data GET
Returns metadata for all the credentials issued to the provided `userId`.
Retrieve a credential reference GET
Retrieve the specified credential reference. A credential reference is a logical identifier for a credential, independent of any particular wallet or device. When a credential is issued to a user, it may be stored in multiple wallets or on multiple devices. Each stored instance is a separate copy, but all copies represent the same underlying credential. The credential reference stays the same across all of these instances, allowing issuers to consistently identify and interact with the credential regardless of where the user holds it.